#ifndef _NOVADAQ_STATUS_H
#define _NOVADAQ_STATUS_H

#include <string>
#include <stdint.h>  /* uint32_t */

namespace novadaq {

/**
 * A trivial class to group a status code with a status message.
 * The idea is that an instance of this class can be returned from
 * any function or method call to indicate success or failure
 * BOTH with an integer and a descriptive string.
 *
 * @version $Revision: 1.4 $ $Date: 2012/02/29 17:02:28 $
 */

class Status {

 public:

    int32_t code;

    std::string message;

};

};  // end of namespace novadaq

#endif
