#include <stdlib.h>
#include <string.h>

#include "PackageVersion/PackageVersion.h"
extern "C" {
char* PackageVersion(const char* v){
  static char* token;
  char* v2;
  const char delimiters[] = " :$";

#ifndef DARWINBUILD
  v2    = strdupa(v);
#else
  v2    = strdup(v);
#endif
  token = strsep(&v2,delimiters);
  token = strsep(&v2,delimiters);
  token = strsep(&v2,delimiters);
  token = strsep(&v2,delimiters);

#ifdef DARWINBUILD
  free(v2);
#endif

  return token;
}

int PackageMajorVersion(const char* v){
  static char* token;
  char* v2;
  const char delimiters[] = " .:$";

#ifndef DARWINBUILD
  v2    = strdupa(v);
#else
  v2    = strdup(v);
#endif
  token = strsep(&v2,delimiters);
  token = strsep(&v2,delimiters);
  token = strsep(&v2,delimiters);
  token = strsep(&v2,delimiters);

#ifdef DARWINBUILD
  free(v2);
#endif

  return atoi(token);
}

int PackageMinorVersion(const char* v){
  static char* token;
  char* v2;
  const char delimiters[] = " .:$";

#ifndef DARWINBUILD
  v2    = strdupa(v);
#else
  v2    = strdup(v);
#endif
  token = strsep(&v2,delimiters);
  token = strsep(&v2,delimiters);
  token = strsep(&v2,delimiters);
  token = strsep(&v2,delimiters);
  token = strsep(&v2,delimiters);

#ifdef DARWINBUILD
  free(v2);
#endif

  return atoi(token);
}

}
